As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 697122 - Show only label on awesome bar tabs while keeping native tab look
: Show only label on awesome bar tabs while keeping native tab look
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P1 normal (vote)
: ---
Assigned To: Lucas Rocha (:lucasr)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-25 08:26 PDT by Lucas Rocha (:lucasr)
Modified: 2016-07-29 14:20 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Show only a label on AwesomeBar's tab indicators (12.06 KB, patch)
2011-10-31 08:25 PDT, Lucas Rocha (:lucasr)
mark.finkle: review+
Details | Diff | Splinter Review
Screenshot (59.30 KB, image/jpeg)
2011-10-31 08:26 PDT, Lucas Rocha (:lucasr)
no flags Details
Screenshot (66.36 KB, image/png)
2011-10-31 09:19 PDT, Lucas Rocha (:lucasr)
no flags Details

Description User image Lucas Rocha (:lucasr) 2011-10-25 08:26:47 PDT
Due to a bug in Android, tabs with only label set still have empty space for the unset tab icon. We'll have to implement custom tab layout with only a label but still keeping the native tab theme.
Comment 1 User image Lucas Rocha (:lucasr) 2011-10-31 08:25:35 PDT
Created attachment 570717 [details] [diff] [review]
Show only a label on AwesomeBar's tab indicators

I had to come up with some temporary assets to get the custom tab indicator to look good enough. I used the design mockups for awesomebar screen as a reference. It looks very similar to what they've proposed but I'm sure I'll have to tweak it later.
Comment 2 User image Lucas Rocha (:lucasr) 2011-10-31 08:26:36 PDT
Created attachment 570718 [details]
Screenshot
Comment 3 User image Mark Finkle (:mfinkle) (use needinfo?) 2011-10-31 08:32:07 PDT
I might be mistaken, but I think there is a white line under all tabs, but the selected tab has a thicker line width.
Comment 4 User image Mark Finkle (:mfinkle) (use needinfo?) 2011-10-31 08:58:19 PDT
Comment on attachment 570717 [details] [diff] [review]
Show only a label on AwesomeBar's tab indicators

Overall this is good, but I would like to see if we can make some progress on the selected states and maybe using a different color (not white) for the tab bottom borders, since that conflicts with the list row backgrounds.
Comment 5 User image Lucas Rocha (:lucasr) 2011-10-31 09:00:22 PDT
(In reply to Mark Finkle (:mfinkle) from comment #3)
> I might be mistaken, but I think there is a white line under all tabs, but
> the selected tab has a thicker line width.

The line under all tabs is there. It's just not visible in this screenshot because the list view has white background too.
Comment 6 User image Lucas Rocha (:lucasr) 2011-10-31 09:19:16 PDT
Created attachment 570734 [details]
Screenshot

Tweaked the assets to add a separator between the tabs' bottom line and the list view. I'm still not entirely happy with it but it's better than having no clear separation between tabs and list view. We'll get real assets from Ian soon, so this is not a big deal.
Comment 7 User image Mark Finkle (:mfinkle) (use needinfo?) 2011-10-31 09:21:08 PDT
Comment on attachment 570717 [details] [diff] [review]
Show only a label on AwesomeBar's tab indicators

r+ with the new assets. I agree, we can tweak this later with ibarlow assets.
Comment 8 User image Lucas Rocha (:lucasr) 2011-10-31 09:44:37 PDT
Pushed: http://hg.mozilla.org/projects/birch/rev/16889566ccc4
Comment 9 User image Aaron Train [:aaronmt] 2011-11-01 07:11:19 PDT
20111101040211
http://hg.mozilla.org/projects/birch/rev/7203d86d5868
Samsung Nexus S (Android 2.3.6)

Note You need to log in before you can comment on or make changes to this bug.